package com.xhpc.common.domain;

import com.xhpc.common.core.web.domain.BaseEntity;

import java.math.BigDecimal;

/**
 * 费率对象 xhpc_rate
 *
 * @author yuyang
 * @date 2021-07-21
 */
public class XhpcRate extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 费率id */
    private Long rateId;

    /** 电站id */
    private Long chargingStationId;

    /** 电费 */
    private BigDecimal powerFee;

    /** 服务费 */
    private BigDecimal serviceFee;

    /** 名称 */
    private String name;

    /** 状态（0正常 1停用） */
    private Integer status;

    /** 删除标志（0代表存在 2代表删除） */
    private Integer delFlag;

    /** 费率模型id */
    private Long rateModelId;

    /** 费率类型 00: 尖费率 01: 峰费率 02: 平费率 03: 谷费率 */
    private String rateValue;

    private String createBy;
    private String updateBy;

    @Override
    public String getCreateBy() {

        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {

        this.createBy = createBy;
    }

    @Override
    public String getUpdateBy() {

        return updateBy;
    }

    @Override
    public void setUpdateBy(String updateBy) {

        this.updateBy = updateBy;
    }

    public Long getRateId() {

        return rateId;
    }

    public void setRateId(Long rateId) {

        this.rateId = rateId;
    }

    public Long getChargingStationId() {

        return chargingStationId;
    }

    public void setChargingStationId(Long chargingStationId) {

        this.chargingStationId = chargingStationId;
    }

    public BigDecimal getPowerFee() {

        return powerFee;
    }

    public void setPowerFee(BigDecimal powerFee) {

        this.powerFee = powerFee;
    }

    public BigDecimal getServiceFee() {

        return serviceFee;
    }

    public void setServiceFee(BigDecimal serviceFee) {

        this.serviceFee = serviceFee;
    }

    public String getName() {

        return name;
    }

    public void setName(String name) {

        this.name = name;
    }

    public Integer getStatus() {

        return status;
    }

    public void setStatus(Integer status) {

        this.status = status;
    }

    public Integer getDelFlag() {

        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {

        this.delFlag = delFlag;
    }

    public Long getRateModelId() {

        return rateModelId;
    }

    public void setRateModelId(Long rateModelId) {

        this.rateModelId = rateModelId;
    }

    public String getRateValue() {

        return rateValue;
    }

    public void setRateValue(String rateValue) {

        this.rateValue = rateValue;
    }

}
